.poll-section {
    max-width: 1274px;

    @include media-breakpoint-up(xl) {}
}

.poll {
    display: none;
    overflow: hidden;
    position: relative;
    font-family: $font-family-secondary;

    &.-active- {
        display: flex;
        flex-direction: column;
    }

    &__main {
        z-index: 5;
        position: relative;
    }

    &__media {
        display: none;
    }

    &__header {
        color: $blue;
        font-size: 28px;
        font-weight: 600;
        line-height: 112%;
        text-align: center;
        margin-bottom: 40px;
        font-family: $font-family-secondary;
    }

    &__content {

    }

    &__grid {
        display: grid;
        grid-row-gap: 20px;
        grid-template-columns: 1fr;
    }

    &__footer {
        margin-top: 30px;
    }

    &__step {
        text-align: center;
        font-size: 24px;
        font-weight: 400;
        line-height: 150%;
        color: $primary;
        margin-bottom: 23px;
        font-family: $font-family-secondary;

        strong {
            color: $blue;
            font-size: 28px;
            font-weight: 600;
            line-height: 150%;
            font-family: $font-family-secondary;
        }
    }

    &__progress {
        height: 9px;
        position: relative;
        border-radius: 8px;
        background: #ECECEC;
        margin-bottom: 40px;
    }

    &__line {
        top: 2px;
        left: 2px;
        bottom: 2px;
        border-radius: 4px;
        background: $blue;
        position: absolute;
    }

    &__nav {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__text {
        color: $dark;
        font-size: 17px;
        line-height: 150%;
        margin-bottom: 30px;
        font-family: $font-family-secondary;
    }

    &__check {
        margin-top: 22px;
        max-width: 370px;
    }

    &__design {
        display: grid;
        grid-row-gap: 8px;
        grid-column-gap: 8px;
        grid-template-columns: 1fr 1fr;
    }

    @include media-breakpoint-up(sm) {

        &__grid {
            grid-row-gap: 12px;
            grid-column-gap: 10px;
            grid-template-columns: 1fr 1fr;
        }

        &__design {
            grid-template-columns: 1fr 1fr 1fr;
        }
    }

    @include media-breakpoint-up(md) {
        overflow: hidden;
        border-radius: 18px;
        background: #F9F9F9;
        padding: 42px 48px 58px 44px;

        &__main {
            flex-grow: 1;
            display: flex;
            flex-direction: column;
        }

        &__body {
            flex-grow: 1;
            display: flex;
            flex-direction: column;
        }

        &__content {
            margin: auto 0;
            max-width: 700px;
        }

        &__header {
            max-width: 700px;
            font-size: 17px;
            text-align: left;
            margin-bottom: 30px;
        }

        &__footer {
            flex-shrink: 0;
            min-height: 42px;
            padding-top: 8px;
            margin-top: 20px;
            position: relative;
            display: flex;
            align-items: flex-end;
            justify-content: space-between;
        }

        &__step {
            top: 0;
            left: 0;
            margin: 0;
            font-size: 15px;
            line-height: 150%;
            position: absolute;

            strong {
                font-size: 17px;
            }
        }

        &__progress {
            height: 7px;
            flex-grow: 1;
            max-width: calc(100% - 170px);
            margin: 0 18px 0 0;
        }

        &__line {
            top: 1px;
            left: 1px;
            bottom: 1px;
        }

        &__grid {

            &--two {
                width: 366px;
                grid-template-columns: 1fr 1fr;
            }

            &--three {
                grid-template-columns: 1fr 1fr 1fr;
            }

            &--five {
                grid-template-rows: 1fr 1fr;
                grid-template-columns: 1fr 1fr 1fr;
            }
        }

        &__media {
            top: 0;
            left: 0;
            bottom: 0;
            z-index: 1;
            opacity: 0.1;
            width: calc(100% + 100px);
            display: block;
            position: absolute;
        }

        &__design {
            width: 551px;
            grid-column-gap: 9px;
            grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
        }
    }

    @include media-breakpoint-up(xl) {
        border-radius: 20px;
        padding: 48px 48px 50px 52px;

        &__header {
            font-size: 22px;
        }

        &__footer {
            min-height: 54px;
            max-width: 700px;
            padding-top: 10px;
        }

        &__step {
            top: 0;
            left: 0;
            margin: 0;
            font-size: 18px;
            line-height: 150%;
            position: absolute;

            strong {
                font-size: 22px;
            }
        }

        &__progress {
            height: 8px;
            flex-grow: 1;
            margin: 0 22px 0 0;
        }

        &__line {
            top: 2px;
            left: 2px;
            bottom: 2px;
        }

        &__media {
            opacity: 1;
            width: 100%;
        }

        &__grid {
            grid-row-gap: 15px;
            grid-column-gap: 12px;

            &--two {
                width: 460px;
            }
        }

        &__text {
            font-size: 21px;
        }

        &__check {
            margin-top: 28px;
        }

        &__design {
            width: 698px;
            margin-top: -18px;
            grid-column-gap: 12px;
        }
    }
}

.poll-repair {

    @include media-breakpoint-up(md) {
        height: 410px;
    }

    @include media-breakpoint-up(xl) {
        height: 515px;
    }
}

.poll-design {

    @include media-breakpoint-up(md) {
        height: 320px;
    }

    @include media-breakpoint-up(xl) {
        height: 404px;
    }
}

.poll-nav {
    fill: $white;
    color: $white;
    height: 55px;
    cursor: pointer;
    border: none;
    outline: none;
    font-size: 24px;
    line-height: 150px;
    text-decoration: none;
    border-radius: 14px;
    text-align: center;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    font-family: $font-family-secondary;
    flex-shrink: 0;

    &--next {
        padding: 4px 28px;
        background: $red;

        &:hover {
            color: $white;
            text-decoration: none;
            background: darken($red, 10%);
        }

        &:active {
            background: $red;
        }
    }

    &--prev {
        width: 67px;
        margin-right: 7px;
        background: $blue;

        i {
            font-size: 0;
            line-height: 0;
            height: 13px;
            flex-shrink: 0;
            display: inline-block;
        }

        &:hover {
            background: lighten($blue, 10%);
        }

        &:active {
            background: $blue;
        }
    }

    @include media-breakpoint-up(md) {
        height: 34px;
        font-size: 15px;
        border-radius: 8px;

        &--prev {
            width: 42px;

            i {
                height: 12px;
            }
        }

        &--next {
            min-width: 85px;
        }
    }

    @include media-breakpoint-up(xl) {
        height: 44px;
        font-size: 18px;
        border-radius: 8px;

        &--prev {
            width: 52px;

            i {
                height: 13px;
            }
        }

        &--next {
            min-width: 107px;
        }
    }
}

.check-item {
    display: block;
    position: relative;
    font-weight: 400;

    input {
        top: 0;
        left: 0;
        width: 1px;
        height: 1px;
        z-index: -1;
        opacity: 0;
        visibility: hidden;
        overflow: hidden;
        position: absolute;

        &:checked + .check-item__label {
            color: $white;
            background: $blue;

            span {
                color: $white;
            }
        }
    }

    &__label {
        width: 100%;
        height: 77px;
        color: $primary;
        cursor: pointer;
        font-size: 16px;
        font-weight: 400;
        line-height: 150%;
        border-radius: 20px;
        text-align: center;
        background: transparent;
        font-family: $font-family-secondary;
        border: 1px solid $blue;
        display: flex;
        align-items: center;
        justify-content: center;

        span {
            color: $primary;
            font-size: 16px;
            font-weight: 400;
            line-height: 150%;
            font-family: $font-family-secondary;
        }

        &:hover {
            color: $blue;

            span {
                color: $blue;
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__label {
            height: 48px;
            font-size: 12px;
            border-radius: 12px;

            span {
                font-size: 12px;
            }
        }

        &--lg {
            grid-row: span 2;

            .check-item__label {
                height: 100%;
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__label {
            height: 60px;
            font-size: 14px;
            border-radius: 12px;

            span {
                font-size: 14px;
            }
        }
    }
}

.pool-present {
    margin-bottom: 24px;

    &__label {
        color: $dark;
        font-size: 18px;
        font-weight: 600;
        line-height: 150%;
        white-space: nowrap;
        text-align: center;
        margin-bottom: 15px;
        font-family: $font-family-secondary;
    }

    &__value {
        height: 48px;
        margin: 0 auto;
        padding: 4px 30px 4px 20px;
        white-space: nowrap;
        border-radius: 12px;
        border: 1px solid $dark;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__icon {
        width: 23px;
        flex-shrink: 0;
        margin-right: 26px;
    }

    &__text {
        color: $primary;
        font-size: 12px;
        line-height: 150%;
        font-family: $font-family-secondary;
    }

    @include media-breakpoint-up(md) {
        display: flex;
        align-items: center;

        &__label {
            text-align: left;
            margin: 0 20px 0 0;
        }

        &__value {
            margin: 0;
            flex-shrink: 0;
        }
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: 30px;

        &__label {
            font-size: 22px;
            margin-right: 25px;
        }

        &__value {
            height: 60px;
            padding: 4px 36px 4px 25px;
        }

        &__icon {
            width: 29px;
            margin-right: 32px;
        }

        &__text {
            font-size: 14px;
        }
    }
}

.poll-contact {

    &__input {
        width: 100%;
        margin-bottom: 10px;
        border-radius: 12px;
        border: 1px solid rgba(51, 51, 51, 0.35);
        $input-selector: "input[type=text], input[type=email], input[type=password], textarea";

        #{$input-selector} {
            width: 100%;
            height: 56px;
            border: none;
            outline: none;
            border-radius: 0;
            max-height: inherit;
            font-family: $font-family-secondary;

            &:focus {
                border: none;
                outline: none;
            }
        }
    }

    &__button {

        .btn-main {
            width: 100%;
            border-radius: 12px;
        }
    }

    @include media-breakpoint-up(md) {
        width: 440px;
        display: flex;
        align-items: center;

        &__input {
            margin: 0;
            padding: 12px 50px 12px 20px;
            border-radius: 12px 0 0 12px;
            $input-selector: "input[type=text], input[type=email], input[type=password], textarea";

            #{$input-selector} {
                height: 30px;
                font-size: 15px;
                line-height: 23px;
                border-radius: 0;
                padding: 0 0 6px 0;
                border-bottom: 1px solid #C9C9C9;
                @include placeholder(#C9C9C9);

                &:focus {
                    border-bottom: 1px solid #C9C9C9;
                    @include placeholder(transparent);
                }
            }
        }

        &__button {
            margin-left: -30px;
        }
    }

    @include media-breakpoint-up(xl) {
        width: 530px;

        &__input {
            height: 70px;
            padding: 16px 60px 16px 25px;
            $input-selector: "input[type=text], input[type=email], input[type=password], textarea";

            #{$input-selector} {
                height: 37px;
                font-size: 19px;
                line-height: 28px;
                padding-bottom: 9px;
            }
        }
    }
}

.poll-data {

    &__inline {
    }

    &__area {
        width: 100%;

    }

    &__file {
        width: 100%;
        margin-top: 10px;
    }

    &__slider {
        max-width: 690px;
        margin-top: 40px;
    }

    @include media-breakpoint-up(sm) {

        &__inline {
            display: flex;
            align-items: center;
        }

        &__area {
            width: 105px;
            flex-shrink: 0;
        }


        &__file {
            width: 220px;
            flex-shrink: 0;
            margin-top: 0;
            margin-left: 20px;
        }
    }

    @include media-breakpoint-up(xl) {

        &__area {
            width: 132px;
        }

        &__file {
            width: 280px;
            margin-left: 25px;
        }
    }
}

.media-check {
    display: block;
    cursor: pointer;
    font-weight: 400;
    position: relative;

    input {
        top: 0;
        left: 0;
        width: 1px;
        height: 1px;
        z-index: -1;
        opacity: 0;
        visibility: hidden;
        overflow: hidden;
        position: absolute;

        &:checked + .media-check__label {

            .media-check__image {

                &:before {
                    opacity: 1;
                    visibility: visible;
                }

                &:after {
                    opacity: 1;
                    visibility: visible;
                }
            }
        }
    }

    &__label {
        display: block;
        font-style: normal;
    }

    &__text {
        color: $primary;
        font-weight: 400;
        font-size: 11px;
        line-height: 150%;
        display: block;
        text-align: center;
        margin-bottom: 11px;
    }

    &__image {
        display: block;
        overflow: hidden;
        position: relative;
        border-radius: 12px;

        &:before {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            opacity: 0;
            z-index: 1;
            content: '';
            position: absolute;
            visibility: visible;
            background: rgba(5, 20, 133, 0.44);
        }

        &:after {
            opacity: 0;
            visibility: hidden;
            top: calc(50% - 9px);
            left: calc(50% - 10px);
            z-index: 5;
            content: '';
            width: 21px;
            height: 18px;
            position: absolute;
            background: url("../images/update/icon_check.svg") 50% 50% no-repeat;
            background-size: cover;
        }
    }

    @include media-breakpoint-up(xl) {

        &__text {
            font-size: 14px;
            line-height: 21px;
        }
    }
}

@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}

